<?php
/**
 * $Id: hlstats.conf.inc.php 399 2008-03-04 13:14:10Z jumpin_banana $
 *
 * Original development:
 * +
 * + HLstats - Real-time player and clan rankings and statistics for Half-Life
 * + http://sourceforge.net/projects/hlstats/
 * +
 * + Copyright (C) 2001  Simon Garner
 * +
 *
 * Additional development:
 * +
 * + UA HLstats Team
 * + http://www.unitedadmins.com
 * + 2004 - 2007
 * +
 *
 *
 * Current development:
 * +
 * + Johannes 'Banana' Keßler
 * + http://hlstats.sourceforge.net
 * + 2007 - 2008
 * +
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

///
/// IMPORTANT
/// General Information
/// This file is also modifiedy by the install script
/// If you don't use the install script take care of the following:
/// all values like #BLA# have to be replaced with the values according
/// to the comments above each setting.
///


///
/// Database Settings
///

// DB_NAME - The name of the database
define("DB_NAME", "#DB_NAME#");

// DB_USER - The username to connect to the database as
define("DB_USER", "#DB_USER#");

// DB_PASS - The password for DB_USER
define("DB_PASS", "#DB_PASS#");

// DB_ADDR - The address of the database server, in host:port format.
//           (You might also try setting this to e.g. ":/tmp/mysql.sock" to
//           use a Unix domain socket, if your mysqld is on the same box as
//           your web server.)
define("DB_ADDR", "#DB_HOST#");

// DB_TYPE - The database server type. Only "mysql" is supported currently
define("DB_TYPE", "mysql");

// DB_PREFIX - The table prefix. Default is hlstats (the leading _ will comes from the sql file)
define("DB_PREFIX", "#DB_PREFIX#");

// DB_PCONNECT - Set to 1 to use persistent database connections. Persistent
//               connections can give better performance, but may overload
//               the database server. Set to 0 to use non-persistent
//               connections.
define("DB_PCONNECT", 0);


///
/// General Settings
///

// INCLUDE_PATH - Filesystem path to the hlstatsinc directory. This path can
//                be specified relative to hlstats.php by prepending ./ or
//                ../  If the path begins with a / then it is taken as a
//                full absolute filesystem path. However if the path begins
//                with none of these constructs, PHP will search your
//                include_path (as set in php.ini) (probably NOT the current
//                directory as might be expected!).
//                   Example paths:
//                      1) /usr/local/apache/hlstatsinc
//                           (absolute path)
//                      2) ../hlstatsinc
//                      -) ./hlstatsinc
//                           (paths relative to hlstats.php)
//                      3) hlstats/include
//                           (path relative to include_path)
//                Under Windows, make sure you use forward slash (/) instead
//                of back slash (\).
define("INCLUDE_PATH", "./hlstatsinc");

// DELETEDAYS - How many days the Event History covers. Must match the value
//              of DeleteDays in hlstats.conf.
//              default = 5
define("DELETEDAYS", #DELETE_DAYS#);

// MODE - Sets the player-tracking mode. Must match the value of Mode in
//        hlstats.conf. Possible values:
//           1) "Normal"    - Recommended for public Internet server use.
//                            Players will be tracked by Unique ID.
//           2) "NameTrack" - Useful for shared-PC environments, such as
//                            Internet cafes, etc. Players will be tracked
//                            by nickname. EXPERIMENTAL!
//           3) "LAN"       - Useful for LAN servers where players do not
//                            have a real Unique ID. Players will be tracked
//                            by IP Address.
define("MODE", "#MODE#");

// hide bot players from stats
// values are 1 or 0
define("HIDE_BOTS", "#HIDE_BOTS#");
?>
