<?php
/**
 * $Id: players.inc.php 517 2008-07-08 12:01:22Z jumpin_banana $
 * $HeadURL: https://hlstats.svn.sourceforge.net/svnroot/hlstats/tags/v1_38/web/hlstatsinc/players.inc.php $
 *
 * Original development:
 * +
 * + HLstats - Real-time player and clan rankings and statistics for Half-Life
 * + http://sourceforge.net/projects/hlstats/
 * +
 * + Copyright (C) 2001  Simon Garner
 * +
 *
 * Additional development:
 * +
 * + UA HLstats Team
 * + http://www.unitedadmins.com
 * + 2004 - 2007
 * +
 *
 *
 * Current development:
 * +
 * + Johannes 'Banana' Keßler
 * + http://hlstats.sourceforge.net
 * + 2007 - 2008
 * +
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */



	// Player Rankings
	$game = sanitize($_GET['game']);

	$db->query("SELECT name FROM ".DB_PREFIX."_Games WHERE code='$game'");
	if ($db->num_rows() < 1) error("No such game '$game'.");

	list($gamename) = $db->fetch_row();
	$db->free_result();

	if (isset($_GET["minkills"]))
	{
		$minkills = intval($_GET["minkills"]);
	}
	else
	{
		$minkills = 1;
	}

	pageHeader(
		array($gamename, "Player Rankings"),
		array($gamename=>"%s?game=$game", "Player Rankings"=>"")
	);
?>

<form method="GET" action="<?php echo $g_options["scripturl"]; ?>">
<input type="hidden" name="mode" value="search">
<input type="hidden" name="game" value="<?php echo $game; ?>">
<input type="hidden" name="st" value="player">

<table width="90%" align="center" border="0" cellspacing="0" cellpadding="2">

<tr valign="bottom">
	<td width="75%"><?php echo $g_options["font_normal"]; ?><b>&#149;</b> Find a player: <input type="text" name="q" size=20 maxlength=64 class="textbox"> <input type="submit" value="Search" class="smallsubmit"><?php echo $g_options["fontend_normal"]; ?></td>
	<td width="25%" align="right" nowrap><?php echo $g_options["font_normal"]; ?>Go to <a href="<?php echo $g_options["scripturl"] . "?mode=clans&amp;game=$game"; ?>"><img src="<?php echo $g_options["imgdir"]; ?>/clan.gif" width="16" height="16" hspace="3" border="0" align="middle" alt="clan.gif">Clan Rankings</a><?php echo $g_options["fontend_normal"]; ?></td>
</tr>

</table><p>
</form>

<?php
	$table = new Table(
		array(
			new TableColumn(
				"lastName",
				"Name",
				"width=46&icon=player&link=" . urlencode("mode=playerinfo&amp;player=%k")
			),
			new TableColumn(
				"skill",
				"Points",
				"width=11&align=right"
			),
			new TableColumn(
				"kills",
				"Kills",
				"width=11&align=right"
			),
			new TableColumn(
				"deaths",
				"Deaths",
				"width=11&align=right"
			),
			new TableColumn(
				"kpd",
				"Kills per Death",
				"width=11&align=right"
			),
			new TableColumn(
				"playerId",
				"ID",
				"width=5&align=right&sort=no"
			)
		),
		"playerId",
		"skill",
		"kpd",
		true
	);

	if(defined('HIDE_BOTS') && HIDE_BOTS == "1")
	{
    	$result = $db->query("
    		SELECT
    			t1.playerId,
    			lastName,
    			oldSkill,
    			skill,
    			kills,
    			deaths,
    			IFNULL(kills/deaths, '-') AS kpd
    		FROM
    			".DB_PREFIX."_Players as t1 INNER JOIN ".DB_PREFIX."_PlayerUniqueIds as t2
    			ON t1.playerID = t2.playerID
    		WHERE
    			t1.game='$game'
    			AND t1.hideranking=0
    			AND t1.kills >= $minkills
    			AND t2.uniqueID not like 'BOT:%'
    		ORDER BY
    			$table->sort $table->sortorder,
    			$table->sort2 $table->sortorder,
    			lastName ASC
    		LIMIT $table->startitem,$table->numperpage
    	");

	}
	else
	{
		$result = $db->query("
			SELECT
				playerId,
				lastName,
				skill,
				oldSkill,
				kills,
				deaths,
				IFNULL(kills/deaths, '-') AS kpd
			FROM
				".DB_PREFIX."_Players
			WHERE
				game='$game'
				AND hideranking=0
				AND kills >= $minkills
			ORDER BY
				$table->sort $table->sortorder,
				$table->sort2 $table->sortorder,
				lastName ASC
			LIMIT $table->startitem,$table->numperpage
		");
	}

	$resultCount = $db->query("
		SELECT
			COUNT(*)
		FROM
			".DB_PREFIX."_Players
		WHERE
			game='$game'
			AND hideranking=0
			AND kills >= $minkills
	");

	list($numitems) = $db->fetch_row($resultCount);

	$table->draw($result, $numitems, 90);
?><p>

<form method="GET" action="<?php echo $g_options["scripturl"]; ?>">
<table width="90%" align="center" border="0" cellspacing="0" cellpadding="2">

<tr valign="bottom">
	<td width="75%"><?php echo $g_options["font_normal"]; ?>
<?php
	foreach ($_GET as $k=>$v)
	{
		if ($k != "minkills")
		{
			echo "		<input type=\"hidden\" name=\"$k\" value=\"" . htmlspecialchars($v) . "\">\n";
		}
	}
?>
		<b>&#149;</b> Only show players with <input type="text" name="minkills" size=4 maxlength=2 value="<?php echo $minkills; ?>" class="textbox"> or more kills. <input type="submit" value="Apply" class="smallsubmit"><?php echo $g_options["fontend_normal"]; ?> </td>
</tr>

</table>
</form>
